Bug 1206901 - Review Request: dreamweb - Click-and-point adventure with the look and feel of Ridley Scott's Blade Runner
Summary: Review Request: dreamweb - Click-and-point adventure with the look and feel o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-29 12:46 UTC by Björn 'besser82' Esser
Modified: 2015-07-23 16:02 UTC (History)
4 users (show)

Fixed In Version: dreamweb-1.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-06 08:31:59 UTC
Type: ---
Embargoed:
lupinix.fedora: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)
rpmlint output (269.30 KB, text/plain)
2015-03-29 15:38 UTC, Christian Dersch
no flags Details

Description Björn 'besser82' Esser 2015-03-29 12:46:52 UTC
Description:

  Ryan, a bartender from a dystopian future can't sleep peacefully
  for months.  His nights are sequences of nightmares and strange
  dreams, days with frequent black-outs with strange visions, until
  one night a figure in monk attire appears to him, and tells him the
  story of the seven evil ones, uniting to destroy to Dreamweb, the
  only barrier between the world and darkness.  The monk makes a
  proposition:  Ryan becomes the "deliverer":  the one who would keep
  the Dreamweb safe by killing those who try to destroy it.

  Descending into paranoia and just wanting dreams to stop, Ryan
  accepts the mission, then wakes up in a puddle of cold sweat, next
  to his beloved girlfriend in her house, and late for work.  Again.

  DreamWeb is a top-down adventure game set in a gritty futuristic
  dystopian city.  Each location takes only a small portion of the
  screen without panning (except an optional small zoom window in the
  corner that follows the cursor), with the player interacting with
  objects and people by simply clicking them.  Ryan has a limited
  inventory space, and as a lot of objects can be picked up (many
  without any use), the player must rationalize what might be useful
  and what just serves as filler.

  Dialogue is straightforward, with no options, but still required
  to advance in the game (to find new locations, for instance).  In
  situations where many adventure games usually feature an indirect
  approach to solve a problem, Ryan often faces himself with
  situations where it's "killed or be killed", which result in deaths
  (sometimes of innocents).


Koji Builds:

  Frh:  no build  --->  srpm is really huge


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/dreamweb.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/dreamweb-1.1-1.fc23.src.rpm


Additional Information:

  SRPM is ~1.5 GBytes.  No real build is performed, files are just checked
  for dupes, symlinked and after all packaged.


Thanks for review in advance!

Comment 1 Christian Dersch 2015-03-29 14:42:19 UTC
Taken :)

Comment 2 Björn 'besser82' Esser 2015-03-29 15:19:33 UTC
*UPDATE*

Koji Builds:

  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=9359867

Comment 3 Christian Dersch 2015-03-29 15:37:16 UTC
Looks fine, approved!

Package Review
==============
 
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed
 
 
Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find license.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 
====>> False positive, package uses %license which is fine
 
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 2652160 bytes in 30 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 
=====> False positive imho, packaging is fine
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
 
====> Is ok according to link in spec
 
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
===== SHOULD items =====
 
Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dreamweb-
     doc , dreamweb-us , dreamweb-uk , dreamweb-fr , dreamweb-de , dreamweb-it
     , dreamweb-es
 
====> Everything ok
 
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
 
====> is noarch
 
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
 
===== EXTRA items =====
 
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dreamweb-common-1.1-1.fc23.noarch.rpm
          dreamweb-doc-1.1-1.fc23.noarch.rpm
          dreamweb-us-1.1-1.fc23.noarch.rpm
          dreamweb-uk-1.1-1.fc23.noarch.rpm
          dreamweb-fr-1.1-1.fc23.noarch.rpm
          dreamweb-de-1.1-1.fc23.noarch.rpm
          dreamweb-it-1.1-1.fc23.noarch.rpm
          dreamweb-es-1.1-1.fc23.noarch.rpm
          dreamweb-1.1-1.fc23.src.rpm

***** rpmlint output in attachment, very huge *****

====> All warnings are false positive, the dangling symlinks are resolved by dependency to dreamweb-common in spec
 
 
Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
 
 
Requires
--------
dreamweb-es (rpmlib, GLIBC filtered):
    dreamweb-common
 
dreamweb-it (rpmlib, GLIBC filtered):
    dreamweb-common
 
dreamweb-fr (rpmlib, GLIBC filtered):
    dreamweb-common
 
dreamweb-common (rpmlib, GLIBC filtered):
    dreamweb
    filesystem
    scummvm
 
dreamweb-uk (rpmlib, GLIBC filtered):
    dreamweb-common
 
dreamweb-doc (rpmlib, GLIBC filtered):
 
dreamweb-de (rpmlib, GLIBC filtered):
    dreamweb-common
 
dreamweb-us (rpmlib, GLIBC filtered):
    dreamweb-common
 
 
 
Provides
--------
dreamweb-es:
    application()
    application(dreamweb-es.desktop)
    dreamweb
    dreamweb-es
 
dreamweb-it:
    application()
    application(dreamweb-it.desktop)
    dreamweb
    dreamweb-it
 
dreamweb-fr:
    application()
    application(dreamweb-fr.desktop)
    dreamweb
    dreamweb-fr
 
dreamweb-common:
    dreamweb-common
 
dreamweb-uk:
    application()
    application(dreamweb-uk.desktop)
    dreamweb
    dreamweb-uk
 
dreamweb-doc:
    dreamweb-doc
 
dreamweb-de:
    application()
    application(dreamweb-de.desktop)
    dreamweb
    dreamweb-de
 
dreamweb-us:
    application()
    application(dreamweb-us.desktop)
    dreamweb
    dreamweb-us
 
 
 
Source checksums
----------------
http://downloads.sf.net/scummvm/dreamweb-cd-es-1.1.zip :
  CHECKSUM(SHA256) this package     : 1f10045952d2348d2775c05c0b95ff4f35c60d6e9be109893157ef63d4444803
  CHECKSUM(SHA256) upstream package : 1f10045952d2348d2775c05c0b95ff4f35c60d6e9be109893157ef63d4444803
http://downloads.sf.net/scummvm/dreamweb-cd-uk-1.1.zip :
  CHECKSUM(SHA256) this package     : 4a6f13911ce67d62c526e41048ec067b279f1b378c9210f39e0ce8d3f2b80142
  CHECKSUM(SHA256) upstream package : 4a6f13911ce67d62c526e41048ec067b279f1b378c9210f39e0ce8d3f2b80142
http://downloads.sf.net/scummvm/dreamweb-cd-fr-1.1.zip :
  CHECKSUM(SHA256) this package     : 76fff0ba67f5bcf2dde9c3fb3f5d3d5c017bb0e7368d98d9deee83d1b4182d54
  CHECKSUM(SHA256) upstream package : 76fff0ba67f5bcf2dde9c3fb3f5d3d5c017bb0e7368d98d9deee83d1b4182d54
http://downloads.sf.net/scummvm/dreamweb-cd-de-1.1.zip :
  CHECKSUM(SHA256) this package     : 2d42fbf5dd3a58ea98ebb5c9bb33f3d5b70e92a936013248f67c33f1b82ac74b
  CHECKSUM(SHA256) upstream package : 2d42fbf5dd3a58ea98ebb5c9bb33f3d5b70e92a936013248f67c33f1b82ac74b
http://downloads.sf.net/scummvm/dreamweb-cd-it-1.1.zip :
  CHECKSUM(SHA256) this package     : 7363d5f6b5aa380862d185980f50e7ac7c661cccdc3f1132f525d92bf4c47f51
  CHECKSUM(SHA256) upstream package : 7363d5f6b5aa380862d185980f50e7ac7c661cccdc3f1132f525d92bf4c47f51
http://downloads.sf.net/scummvm/dreamweb-manuals-en-highres.zip :
  CHECKSUM(SHA256) this package     : 6d26dbc9c032dfe00211065c31d738a2135aefdf561934722e1ca6e3416ff769
  CHECKSUM(SHA256) upstream package : 6d26dbc9c032dfe00211065c31d738a2135aefdf561934722e1ca6e3416ff769
http://downloads.sf.net/scummvm/dreamweb-manuals-en-lores.zip :
  CHECKSUM(SHA256) this package     : c1ec5b7374d3f67367ea670e0dd830f5d8cc8c0dbc508f2d093a14a47274212b
  CHECKSUM(SHA256) upstream package : c1ec5b7374d3f67367ea670e0dd830f5d8cc8c0dbc508f2d093a14a47274212b
http://downloads.sf.net/scummvm/dreamweb-cd-us-1.1.zip :
  CHECKSUM(SHA256) this package     : f403d95e847b0fe2cde9b86cd2cf835826c6b759c3691f0ee456cacb0948dc94
  CHECKSUM(SHA256) upstream package : f403d95e847b0fe2cde9b86cd2cf835826c6b759c3691f0ee456cacb0948dc94
 
 
Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1206901
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Christian Dersch 2015-03-29 15:38:00 UTC
Created attachment 1008018 [details]
rpmlint output

Comment 5 Björn 'besser82' Esser 2015-03-29 15:46:56 UTC
Thanks fpr the quick review, Christian!

* * *

New Package SCM Request
=======================
Package Name: dreamweb
Short Description: Click-and-point adventure with the look and feel of Ridley Scott's Blade Runner
Upstream URL: http://www.mobygames.com/game/dreamweb
Owners: besser82
Branches: el5 el6 epel7 f20 f21 f22
InitialCC:

Comment 6 Patrick Uiterwijk 2015-03-30 20:47:41 UTC
Please update the License tag in the RPM.
As per https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Firmware, the correct value would be: "Redistributable, no modification permitted"

This applies because of: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Shareware (the license allows DISTRIBUTION, not MODIFICATION).

Comment 7 Björn 'besser82' Esser 2015-03-30 20:52:57 UTC
Updated license-tag.

* * *

New Package SCM Request
=======================
Package Name: dreamweb
Short Description: Click-and-point adventure with the look and feel of Ridley Scott's Blade Runner
Upstream URL: http://www.mobygames.com/game/dreamweb
Owners: besser82
Branches: el5 el6 epel7 f20 f21 f22
InitialCC:

Comment 8 Patrick Uiterwijk 2015-03-30 20:54:36 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-03-31 07:16:00 UTC
dreamweb-1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dreamweb-1.1-1.el5

Comment 10 Fedora Update System 2015-03-31 07:17:24 UTC
dreamweb-1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dreamweb-1.1-1.el6

Comment 11 Fedora Update System 2015-03-31 07:17:48 UTC
dreamweb-1.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dreamweb-1.1-1.el7

Comment 12 Fedora Update System 2015-03-31 07:18:07 UTC
dreamweb-1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dreamweb-1.1-1.fc20

Comment 13 Fedora Update System 2015-03-31 07:19:28 UTC
dreamweb-1.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dreamweb-1.1-1.fc21

Comment 14 Fedora Update System 2015-03-31 07:19:49 UTC
dreamweb-1.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dreamweb-1.1-1.fc22

Comment 15 Fedora Update System 2015-04-01 01:54:44 UTC
dreamweb-1.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 16 Fedora Update System 2015-04-06 08:31:59 UTC
dreamweb-1.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 17 Fedora Update System 2015-04-06 08:35:04 UTC
dreamweb-1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2015-04-21 19:15:28 UTC
dreamweb-1.1-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.